version: '3'
services:
    redis:
        image: "redis:alpine"
        expose:
            - "6379"
    hello-1:
        image: app-hello-world1:latest
        restart: always 
        expose:
            - "8000"
        depends_on:
            - redis
    hello-2:
        image: app-hello-world2:latest
        restart: always 
        expose:
            - "8000"
    nginx: 
        image: nginx:latest
        restart: always 
        container_name: nginx
        volumes:
        - ./nginx.conf:/etc/nginx/conf.d/default.conf
        ports:
        - 8080:80
        depends_on:
            - hello-1
            - hello-2
